Bug 61070 - Xconfigurator fails to detect video ATI Rage chipset
Xconfigurator fails to detect video ATI Rage chipset
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-12 18:36 EST by John A. Hull
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-21 23:19:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Lspci -vv in hampton beta2 of 6450 onboard video chip (791 bytes, text/plain)
2002-03-13 10:48 EST, Clay Cooper
no flags Details

  None (edit)
Description John A. Hull 2002-03-12 18:36:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)

Description of problem:
On all Dell PowerEdge servers, Xconfigurator fails to probe and detect the ATI 
Rage chipsets. User must manually choose chipset/driver.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Hampton beta 2
2. Run Xconfigurator
3. Should get screen prompting you to choose video chipset

Actual Results:  No detection of ATI Rage video chipset

Expected Results:  Automatic detection of ATI Rage video chipset

Additional info:
Comment 1 Mike A. Harris 2002-03-13 00:13:18 EST
What specific chipset?    lspci -n | grep 1002

What package release of hwdata, and Xconfigurator do you have?
Comment 2 Clay Cooper 2002-03-13 10:48:40 EST
Created attachment 48405 [details]
Lspci -vv in hampton beta2 of 6450 onboard video chip
Comment 3 John A. Hull 2002-03-13 11:43:43 EST
lspci -n |grep 1002 gives:

00:0b.0 Class 0300: 1002:4752 (rev 27)

Comment 4 Mike A. Harris 2002-03-14 07:11:14 EST
This is indeed very odd, since Xconfigurator uses the PCI ID of the
video hardware to determine what it is.  The PCI ID returned is looked
up in the pcitable database, which currently contains this entry for
the Rage XL:

0x1002  0x4752  "Card:ATI Mach64"       "ATI|Rage XL"

The third column is used to determine what entry in the Cards database
to use for that particular PCI ID.  Here is the entry:


This tells Xconfigurator to use XFree86 4.x by default (since no line
"UNSUPPORTED" is present), and to use the "ati" driver.

I've tested this on a Rage XL board I've got here that was sent to me
by ATI for use in testing Dell server related bug reports.  It detects
this card ok, and seems to work fine.  The card is I believe some special
card made for Dell which had a half-height riser on it which I had to
remove to plug into an ordinary slot.

The lspci -vv attachment from clay above, is not from a Rage XL, but
from a Rage IIc board.  The PCI ID (given by lspci -n) is not present,
however I also have a Rage IIc onboard here on my Proliant server.
That returns:

pts/26 root@devel:~# lspci -n -s 00:05.0
00:05.0 Class 0300: 1002:4756 (rev 7a)
pts/26 root@devel:~# lspci -s 00:05.0
00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC
[Mach64 GT IIC] (rev 7a)

The Rage IIc entry in pcitable is also verified to be correct, and the
entry in the Cards database properly falls through to the Mach64 entry,
which I just tested.

I'm not sure what the problem could be, but I cant reproduce it on the
closest matching hardware I have available.

Are there any other details you could provide which might give clues
as to what is going wrong?
Comment 5 John A. Hull 2002-03-14 15:44:31 EST
Xconfigurator doesn't automatically probe and find video chipsets on any cards 
that I have tried, which includes ATI, Nvidia, and Intel i810. I'm talking 
about Xconfigurator probing the video right when you start the program. Has 
Xconfigurator been changed to automatically run in expert mode?
Comment 6 John A. Hull 2002-03-21 12:49:14 EST
Fixed in Hampton Beta 3.
Comment 7 Mike A. Harris 2002-03-21 23:19:07 EST
Not sure what the problem was, but it must have been a transient
breakage in kudzu or pcilib I am guessing since nothing changed in
Xconfigurator or hwdata that would have caused or fixed the problem.

Just developmental weirdness I guess.  ;o)

Changing resolution to RAWHIDE, as CURRENTRELEASE is RHL 7.2

Note You need to log in before you can comment on or make changes to this bug.